
Foreman - Feature #35738

Add git mailmaps where needed

11/09/2022 12:24 PM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the release notes we like to credit people based on the git log, but regularly people use multiple names. Git has a mailmap feature

(https://git-scm.com/docs/gitmailmap) which allows mapping it back to one single name.

Today we have a script with an author map but as we're moving to foreman-documentation it's nice to implement this in repositories

themselves so no specific tooling is needed.

History

#1 - 11/09/2022 12:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9507 added

#2 - 04/26/2024 12:00 PM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9507)
